| Disk ARchive 2.5.10 Full featured and portable backup and archiving tool

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Enumerations | Functions
hash_fichier.hpp File Reference
Private

class hash_fichier definition.This is an inherited class from class fichier Objects of that class are write-only objects that provide a hash of the written data other hash algorithm may be added in the future More...

`#include "../my_config.h"`
`#include <string>`
`#include "generic_file.hpp"`
`#include "fichier_global.hpp"`
`#include "integers.hpp"`

Go to the source code of this file.

## Namespaces
| libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations
enum | libdar::hash_algo { hash_none, hash_md5, hash_sha1, hash_sha512 }

## Functions
std::string | libdar::hash_algo_to_string (hash_algo algo)

## Detailed Description

class hash_fichier definition.

This is an inherited class from class fichier Objects of that class are write-only objects that provide a hash of the written data other hash algorithm may be added in the future

Definition in file hash_fichier.hpp.